import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.linear_model import LinearRegression


D = np.loadtxt( "datos.txt" )
print( D.shape )

# Separamos los datos en datos de entrenamiento
# y datos de prueba
#
X = D[:,0].reshape(-1,1)

X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, D[:,1], random_state=2 )


# El modelo es una línea recta
# [xi 1] [a1] = [yi]
#        [a0]

regresor = LinearRegression( )

regresor.fit( X_entrena, y_entrena )
print( regresor.coef_ )
print( regresor.intercept_ )

v = regresor.score( X_prueba, y_prueba )

print( v )

